Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pentaho.di.trans.steps.reservoirsampling
Enum ReservoirSamplingData.PROC_MODE

    java.lang.Object
      java.lang.Enum<ReservoirSamplingData.PROC_MODE>
          org.pentaho.di.trans.steps.reservoirsampling.ReservoirSamplingData.PROC_MODE

All Implemented Interfaces:
  Serializable, Comparable<ReservoirSamplingData.PROC_MODE>

Enclosing class:
  ReservoirSamplingData

    public static enum ReservoirSamplingData.PROC_MODE

extends Enum<ReservoirSamplingData.PROC_MODE>

Enum Constant Summary
`DISABLED`
`PASSTHROUGH`
`SAMPLING`

Method Summary
`static ReservoirSamplingData.PROC_MODE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ReservoirSamplingData.PROC_MODE[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SAMPLING

    public static final ReservoirSamplingData.PROC_MODE SAMPLING

### PASSTHROUGH

    public static final ReservoirSamplingData.PROC_MODE PASSTHROUGH

### DISABLED

    public static final ReservoirSamplingData.PROC_MODE DISABLED

Method Detail

### values

    public static final ReservoirSamplingData.PROC_MODE[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ReservoirSamplingData.PROC_MODE c : ReservoirSamplingData.PROC_MODE.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ReservoirSamplingData.PROC_MODE valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD